#########################################################
################ httpd.conf settings ####################

[httpdSettings]
apacheBinary=/usr/sbin/httpd
serverHost=138.37.210.230
port=80
# to use proxying set the proxy port below (even if its 80) and set serverHost as your proxy host
proxy=
# if apxs or apxs2 is not in default directory where httpd lives, you may set this param to point to apxs/2
apxs=
location=biomart


# Colours settings for MARTVIEW
# A good online tool help with picking a palette is;
# http://slayeroffice.com/tools/color_palette/
[cssSettings]

# The default theme, based on a 6-level grey scale from black to white.
#colour_saturation0=black
#colour_saturation20=black
#colour_saturation40=#666666
#colour_saturation60=#CCCCCC
#colour_saturation80=#E5E5E5
#colour_saturation100=white
go_button_image=mview/images/go.png
new_button_image=mview/images/new.png
count_button_image=mview/images/count.png
count_button_image_disabled=mview/images/count_grey.png
results_button_image=mview/images/results.png
results_button_image_disabled=mview/images/results_grey.png
url_button_image=mview/images/url.png
url_button_image_disabled=mview/images/url_grey.png
xml_button_image=mview/images/xml.png
xml_button_image_disabled=mview/images/xml_grey.png
perl_button_image=mview/images/perl.png
perl_button_image_disabled=mview/images/perl_grey.png
help_button_image=mview/images/help.png


# The blue theme used for WormMart
colour_saturation0=black
colour_saturation20=white
colour_saturation40=#ec4ea8
colour_saturation60=#ec4ea8
colour_saturation80=#fbdcee
colour_saturation100=white

# These settings relate to the text displayed in the interface drop downs

[aliases]
Schema=- CHOOSE SOURCE -
Database=- CHOOSE DATABASE -
Dataset=- CHOOSE DATASET -


# If an attribute URL is specified relatively such as '/geneview/?=%s'
# then by default this will be used relative to the current host
# However if you set exturl below then this will be prefixed
# to these URLs

[urlPrefixes]
exturl=http://www.ensembl.org


# These settings are used to control how the background
# results jobs are managed. 
#
# Set resultsDirCount to the number of results directories
# you want to use. Then, use resultsDir1, resultsDir2 etc.
# to assign names for these directories, up to resultsDirN
# where N is the value of resultsDirCount. Background jobs
# will be assigned to each of these resultsDir locations
# by a hash function which is intended to distribute them
# evenly.
#
# Use resultsDir to specify where
# files containing results from background jobs are stored.
# This folder must (a) exist and (b) be writable by the
# owner of the web server process.
#
# The enable setting should have a value of 'yes'
# if you want background jobs to be available to the user.
# Any other value, including non-lowercase versions of 'yes'
# will turn background jobs off.

[background]
resultsDirCount=1
resultsDir1=/ebi/www/biomart/test/files
enable=yes

# Mail settings are used for informing users when their
# background tasks are finished. The mailerType defines 
# the way in which mail is sent, as understood by 
# Mail::Mailer. For details of how to control this, see:
#
# http://search.cpan.org/dist/MailTools/Mail/Mailer.pm
#
# The from address is the address that messages will 
# appear to be from.

[mailSettings]
mailerType=sendmail
subject=Your BioMart results are ready
from=no-reply@biomart.org

# These settings relate to sessions.
# 
# The expire setting relates to how long sessions will live
# on disk for. If not accessed for a period of time longer than
# this, then the session will be dropped. Aliases are:
#
#    +-----------+---------------+
#    |   alias   |   meaning     |
#    +-----------+---------------+
#    |     s     |   Second      |
#    |     m     |   Minute      |
#    |     h     |   Hour        |
#    |     d     |   Day         |
#    |     w     |   Week        |
#    |     M     |   Month       |
#    |     y     |   Year        |
#    +-----------+---------------+
#
# Driver could have values based on where you want the session to be
# stored. default or no value assigned is set to Berkeley DB implementation.
# All possible values could be:
# driver=
# driver=default
# driver=files
# driver=mysql
# driver=oracle
# a database table must already exist with any name but with strict columnName/Types
# EXAMPLES
# ========== MySQL ============
# first create the table as
# CREATE TABLE sessions ( id CHAR(32) NOT NULL UNIQUE, a_session LONGTEXT NOT NULL ) ;
# then the following settings should follow under [sessions]
# driver=mysql
# dsn=DBI:mysql:database=YOU_DATABASE_NAME;host=127.0.0.1;port=3306
# user=root
# pass=
# ========== ORACLE ============
# first create the table as
# CREATE TABLE sessions ( id CHAR(32) NOT NULL UNIQUE, a_session CLOB NOT NULL ) ;
# then the following settings should follow under [sessions]
# driver=oracle
# dsn=dbi:Oracle:host=172.22.70.89;sid=XE;port=1521
# user=root
# pass=


[sessions]
expire=1d
driver=default

# Web Service Logging options
[webserviceLogging]
mode=OFF
log_query=OFF
log_IP=ON

# MartSoapService WSDL-S (Semantic) Annotations through OBO (Ontology Terms)
[semanticAnnotations]
ensembl_transcript_id=http://www.embracegrid.info/ws/sawsdl/spec/ontology/databases#transcript
pdb_id=http://www.embracegrid.info/ws/sawsdl/spec/ontology/databases#PDB_Identifier
ensembl_gene_id=http://www.embracegrid.info/ws/sawsdl/spec/ontology/databases#gene
peptide=http://www.embracegrid.info/ws/sawsdl/spec/ontology/databases#proteinSequence
